# ezQuake Manual: Input - Mouse Variables

## in_di_bufsize

### Description

Size of the direct input buffer

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 16

Variable is integer.

On some circumstances the default size does not have to be sufficient

## in_evdevice

### Description

Specify device for evdev mouse. Should be absolute path like /dev/input/event0 use in_evdevlist command to get lost of devices

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.
absolute path to mouse event device

You should have read access to your device. sudo chmod 644 /dev/input/event* should help you if you have trouble

## in_mmt

### Description

Multithreaded mouse. For most users in_mmt1 + evdev gives the most smooth input

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Use separate thread for reading mouse data
0 | Read mouse data in main thread

Linux only and evdev (in_mouse 3) only.

## in_mouse

### Description

Different types of mouse input

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Mouse off
1 | Windows: standard mouse; Linux: DGA mouse
2 | Windows: Direct Input; Linux: X Mouse
3 | Windows: Raw Input; Linux: EVDEV mouse

Linux: You have to set in_evdevice to proper value (/dev/input/eventX). Use command in_evdevlist to get the lost of proper values. Also in_mtt makes your mouse more smooth.

## in_m_mwhook

### Description

In some circumstances allows you to bind additional mouse buttons on Logitech mouse controllers. Deprecated.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## in_m_os_parameters

### Description

Allows you to use your system mouse settings in the client

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Do not keep any of the system mouse settings
1 | Keep acceleration settings
2 | Keep speed settings
3 | Keep both acceleration and speed settings

## in_m_smooth

### Description

Enables advanced mouse smoothing. You have to be using Direct Input for this to work.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## m_accel

### Description

Sets mouse acceleration like in q3.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## m_filter

### Description

This variable toggles mouse input filtering. When set to "1", the values which are received from the mouse's input will first be averaged together and then that value will be used in the game. The reason for this command is that some mice had problems with sending sporadic coordinates which make the input from the mouse jerky, also when using a serial or PS/2 mouse, the Windows operating system will only sample mouse input every 25ms, that is 40 times a second (for USB mice the sample rate is 125 Hz, that is every 8 ms). When set to "1" this variable will smooth out the input but it will cause latency between the movement of the mouse and the actual response in the game. When using a PS/2 mouse it is thus first recommended to try to increase the sampling rate either by changing it via your mouse driver or by using the ps2rate program which can be downloaded at ps2rate homepage . If you are playing the game at frame rates above 40 FPS and if you can't increase the sampling rate of your PS/2 rate or if you are playing with a serial mouse it is recommended that you enable this toggle.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## m_forcewheel

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description
1 | If you have problems to get MWHEELUP and MWHEELDOWN working set this to 1.
0 | Disable.

## m_forward

### Description

This variable controls how fast the player should move forward and back when the mouse is moved forward and back. This command has no effect if the +mlook command is in effect because when the mouse is moved forward and back the player looks up and down instead of moving forward and back. Some players might want to set this variable to "0" if they happen not to use +mlook constantly and they only want to use the mouse to turn the player. Setting this variable to "0" will prevent the inadvertent movement of the player forward and back while trying to make precise turns with the mouse.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## m_pitch

### Description

This variable sets the level of precision when the mouse is used to make the player look up and down while the +mlook command is in effect. By default this variable is set in such a way that moving the mouse forward makes the player look up and moving the mouse backward makes the player look down. Some people prefer to have this movement inverted just like it is inverted for airplane controls. If you wish to use this inverted mouse movement then you should set this variable to a negative value (for example "-0.022"). It is a matter of preference which movement method is used by players. Also lowering the value for this variable will increase the level of precision when the mouse is used to make the player look up and down. This variable can be used separately from the sensitivity variable to provide greater control over the mouse sensitivity for movement along the pitch. It is advisable to keep the value for this variable constant at 0.022 or -0.022 and instead use the sensitivity variable to change the overall sensitivity of the mouse. Also, some script writers lower the value for this variable along with a lowered value for the fov variable in order to provide more precision when the fov variable is used to zoom.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.022

Variable is float.

## m_rate

### Description

This variable should be set to your mouse rate (in Hz). Note: need -m_smooth and -dinput to commandline.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 125

Variable is float.

## m_showrate

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Print current mouse rate
0 | Disable

Note: need -m_smooth and -dinput to commandline.

## m_side

### Description

When the +strafe command is active or when "lookspring" is set to "1" this variable is used to control the sensitivity when the mouse is moved left and right to make the player move left and right.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

Variable is float.

## m_yaw

### Description

This variable controls how fast the player turns left and right when the mouse is moved left and right. It is recommended that this variable be left alone and instead the "sensitivity" variable is used to change the level of precision. If you set this variable to a negative value you will reverse the mouse movement. Some script writers use this variable to increase the level of precision when the "fov" variable is used to zoom the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.022

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs